<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__seglcd__macros" kind="group">
    <compoundname>group_seglcd_macros</compoundname>
    <title>Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__seglcd__macros_1ga9b9c793d300f9f6368c658f462a243ac" kind="define" prot="public" static="no">
        <name>CY_SEGLCD_DRV_VERSION_MAJOR</name>
        <initializer>1</initializer>
        <briefdescription>
<para>Driver major version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="326" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="326" />
      </memberdef>
      <memberdef id="group__group__seglcd__macros_1ga60309b65aae84b24f8000e64afa2d5a9" kind="define" prot="public" static="no">
        <name>CY_SEGLCD_DRV_VERSION_MINOR</name>
        <initializer>0</initializer>
        <briefdescription>
<para>Driver minor version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="329" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="329" />
      </memberdef>
      <memberdef id="group__group__seglcd__macros_1ga2f53e2d201cab9746650fa92a882816a" kind="define" prot="public" static="no">
        <name>CY_SEGLCD_ID</name>
        <initializer>(<ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga45c44ce91d1e20c64430f00fd8ad9b0e">CY_PDL_DRV_ID</ref>(0x40u))</initializer>
        <briefdescription>
<para>SegLCD driver ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="332" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="332" />
      </memberdef>
      <memberdef id="group__group__seglcd__macros_1ga8e6dba768add09d02fb0cc10371d503a" kind="define" prot="public" static="no">
        <name>CY_SEGLCD_NOT_CON</name>
        <initializer>(0xFFFFFFFFUL)</initializer>
        <briefdescription>
<para>Specifies the pixel in the display pixel map array which is not connected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="335" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="335" />
      </memberdef>
      <memberdef id="group__group__seglcd__macros_1gaacbf9913c4cf4341e7b0594f1069bab0" kind="define" prot="public" static="no">
        <name>CY_SEGLCD_PIXEL</name>
        <param><defname>segNum</defname></param>
        <param><defname>comLine</defname></param>
        <initializer>(CY_SEGLCD_ITEM(segNum, comLine))</initializer>
        <briefdescription>
<para>Makes the pixel identifier from the LCD segment terminal number and the user defined common line number. </para>        </briefdescription>
        <detaileddescription>
<para>It should be used to display pixel map (pixMap) array definitions for <ref kindref="compound" refid="structcy__stc__seglcd__disp__t">cy_stc_seglcd_disp_t</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="368" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="368" />
      </memberdef>
      <memberdef id="group__group__seglcd__macros_1ga5da32950a854641868e98c302afe2fe5" kind="define" prot="public" static="no">
        <name>CY_SEGLCD_COMMON</name>
        <param><defname>comNum</defname></param>
        <param><defname>comLine</defname></param>
        <initializer>(CY_SEGLCD_ITEM(comNum, comLine))</initializer>
        <briefdescription>
<para>Makes the common line identifier from the LCD common terminal number and the user defined common line number. </para>        </briefdescription>
        <detaileddescription>
<para>It should be used for commons array definitions for <ref kindref="member" refid="group__group__seglcd__functions__frame_1ga7f6bb5486ade2f8fe07ae883b1e59be2">Cy_SegLCD_ClrFrame</ref> and <ref kindref="member" refid="group__group__seglcd__functions__frame_1ga85e7982228c5bc991d43bbfbdb138d5c">Cy_SegLCD_InvFrame</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="374" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="374" />
      </memberdef>
      <memberdef id="group__group__seglcd__macros_1gae162a7b29b2a8ff3078d016836f35214" kind="define" prot="public" static="no">
        <name>CY_SEGLCD_NUM_BLANK</name>
        <initializer>((<ref kindref="member" refid="group__group__syslib__macros_1ga40bb5262bf908c328fbcfbe5d29d0201">char_t</ref>)16)</initializer>
        <briefdescription>
<para>Space/blank/empty symbol code for the numeric type of fonts. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="377" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="377" />
      </memberdef>
      <memberdef id="group__group__seglcd__macros_1gabb155f59d5479b6f92a52f36497267ef" kind="define" prot="public" static="no">
        <name>CY_SEGLCD_14SEG_FONTMAP_SIZE</name>
        <initializer>(CY_SYSLIB_DIV_ROUNDUP(<ref kindref="member" refid="group__group__seglcd__enums_1ggad9a3f6a9bdb312ad774c5e55d5f1847caa996630fb5f54b7ec308435a47d0616c">CY_SEGLCD_14SEG</ref>, CY_SEGLCD_OCTET))</initializer>
        <briefdescription>
<para>14-segment fontMap array item size (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="465" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="465" />
      </memberdef>
      <memberdef id="group__group__seglcd__macros_1gae056719851fde97205014b57ba23c7ad" kind="define" prot="public" static="no">
        <name>CY_SEGLCD_16SEG_FONTMAP_SIZE</name>
        <initializer>(CY_SYSLIB_DIV_ROUNDUP(<ref kindref="member" refid="group__group__seglcd__enums_1ggad9a3f6a9bdb312ad774c5e55d5f1847cafd6573660be76086be95d54dbb01367e">CY_SEGLCD_16SEG</ref>, CY_SEGLCD_OCTET))</initializer>
        <briefdescription>
<para>16-segment fontMap array item size (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="466" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="466" />
      </memberdef>
      <memberdef id="group__group__seglcd__macros_1ga7448a2ebc8400bdbaa7d1e01d1d0d995" kind="define" prot="public" static="no">
        <name>CY_SEGLCD_5X8DM_FONTMAP_SIZE</name>
        <initializer>(CY_SYSLIB_DIV_ROUNDUP(<ref kindref="member" refid="group__group__seglcd__enums_1ggad9a3f6a9bdb312ad774c5e55d5f1847cae8cdc28a1a67b99875e43ce5bf5e1b66">CY_SEGLCD_5X8DM</ref>, CY_SEGLCD_OCTET))</initializer>
        <briefdescription>
<para>5x8 dot matrix fontMap array item size (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="467" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="467" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>